﻿//-----------------------------------------------------------------------
// <copyright file="Dialog.xaml.cs" company="Century Systems">
// Copyright (c) 2015 Century Systems Co., Ltd. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.Windows;
using System.Windows.Controls;

namespace CenturySystems.WPFSample.View
{
    /// <summary>
    /// Dialog.xaml の相互作用ロジック
    /// </summary>
    public partial class Dialog : Window
    {
        /// <summary>
        /// コンストラクタ
        /// </summary>
        /// <param name="message">表示するメッセージ</param>
        public Dialog(string message)
        {
            this.InitializeComponent();

            var textBoxObj = this.FindName("Contents");
            if (textBoxObj == null)
            {
                throw new ApplicationException("Contents is null");
            }

            if (textBoxObj is TextBlock)
            {
                var textBox = textBoxObj as TextBlock;
                textBox.Text = message;
            }
            else
            {
                throw new ApplicationException("contents is not TextBlock");
            }
        }

        /// <summary>
        /// ボタンをクリックされた時に呼ばれる
        /// </summary>
        /// <param name="sender">sender</param>
        /// <param name="e">RoutedEventArgs</param>
        private void OnClick(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
